Last Comment Bug 719022 - Digits-only file names get .css prefixed in front of postfixed
: Digits-only file names get .css prefixed in front of postfixed
Status: VERIFIED FIXED
[qa!] [testday-20120203]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Style Editor (show other bugs)
: 11 Branch
: x86 Linux
: P2 normal (vote)
: Firefox 12
Assigned To: Paul Rouget [:paul]
:
Mentors:
: 710811 (view as bug list)
Depends on:
Blocks: 720468
  Show dependency treegraph
 
Reported: 2012-01-18 06:56 PST by Alex Lakatos[:AlexLakatos]
Modified: 2012-02-03 04:37 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
patch v1 (5.87 KB, patch)
2012-01-23 11:16 PST, Paul Rouget [:paul]
no flags Details | Diff | Review
patch v1.1 (6.00 KB, patch)
2012-01-23 11:26 PST, Paul Rouget [:paul]
jwalker: review+
cedricv: feedback+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review
fix invisible outline for list keyboard navigation (1.03 KB, patch)
2012-01-25 10:12 PST, Cedric Vivier [:cedricv]
paul: review+
Details | Diff | Review

Description Alex Lakatos[:AlexLakatos] 2012-01-18 06:56:26 PST
Digits-only file names get .css prefixed in front of postfixed

Steps to Reproduce
1.open the style editor
2.create a new style sheet
3.save it with a name with only digits, for example 1234.css

Actual results:
4.The stylesheet list shows css.1234

Expected results:
4.The stylesheet list shows 1234.css
Comment 1 Paul Rouget [:paul] 2012-01-23 11:16:14 PST
The problem is that we use `direction:rtl;` to simulate `XUL:crop=start` (part the Style Editor is in HTML).

To get rid of this workaround, I need to use a <xul:label>.
Comment 2 Paul Rouget [:paul] 2012-01-23 11:16:34 PST
Created attachment 590794 [details] [diff] [review]
patch v1
Comment 3 Paul Rouget [:paul] 2012-01-23 11:26:45 PST
Created attachment 590800 [details] [diff] [review]
patch v1.1
Comment 4 Paul Rouget [:paul] 2012-01-23 11:57:15 PST
(we will need a followup bug for the '*' not being display)
Comment 5 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-01-23 12:07:21 PST
Comment on attachment 590800 [details] [diff] [review]
patch v1.1

Review of attachment 590800 [details] [diff] [review]:
-----------------------------------------------------------------

Does that mean we've lost the dirty * when a file is edited?
Comment 6 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-01-23 12:08:06 PST
(In reply to Paul Rouget [:paul] from comment #4)
> (we will need a followup bug for the '*' not being display)

Ahh - missed this comment.
Comment 7 Paul Rouget [:paul] 2012-01-25 05:18:20 PST
https://hg.mozilla.org/integration/fx-team/rev/2d2a7c5534e3
Comment 8 Paul Rouget [:paul] 2012-01-25 05:36:46 PST
I will a? this patch once in central.
Comment 9 Paul Rouget [:paul] 2012-01-25 05:50:58 PST
*** Bug 710811 has been marked as a duplicate of this bug. ***
Comment 10 Tim Taubert [:ttaubert] 2012-01-25 09:03:58 PST
https://hg.mozilla.org/mozilla-central/rev/2d2a7c5534e3
Comment 11 Cedric Vivier [:cedricv] 2012-01-25 09:17:47 PST
Let's wait before a+ this.
The fix makes keyboard navigation in the list invisible.
Comment 12 Cedric Vivier [:cedricv] 2012-01-25 10:12:19 PST
Created attachment 591531 [details] [diff] [review]
fix invisible outline for list keyboard navigation
Comment 13 Paul Rouget [:paul] 2012-01-26 04:10:54 PST
Comment on attachment 591531 [details] [diff] [review]
fix invisible outline for list keyboard navigation

Next time, please open a new bug.
Comment 14 Paul Rouget [:paul] 2012-01-26 04:13:47 PST
Well, it's a little tricky. Can you mark this bug as fixed and open a new bug?
Comment 15 Paul Rouget [:paul] 2012-01-26 06:04:00 PST
Comment on attachment 590800 [details] [diff] [review]
patch v1.1

[Approval Request Comment]
Regression caused by (bug #): New Feature. Not a regression.
User impact if declined: Some stylesheet will be spelled wrong.
Testing completed (on m-c, etc.): on m-c, local testing.
Risk to taking this patch (and alternatives if risky): low. Styling changes and one XUL tag added.
Comment 16 Alex Keybl [:akeybl] 2012-01-29 17:21:45 PST
Comment on attachment 590800 [details] [diff] [review]
patch v1.1

[Triage Comment]
Low risk fix in support of a new feature. Approved for Aurora.
Comment 18 Virgil Dicu [:virgil] [QA] 2012-02-03 04:34:49 PST
Mozilla/5.0 (X11; Linux x86_64; rv:12.0a2) Gecko/20120202 Firefox/12.0a2
Mozilla/5.0 (X11; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0

Verified using the steps from comment 0 on Ubuntu 11.10, Firefox 11 Beta 1 and Firefox Aurora (12). The file name is saved normally as "1234.css"

Note You need to log in before you can comment on or make changes to this bug.